VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "Form_WeekProgNoteAudit"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Compare Database

Private Sub Form_Activate()

End Sub

Sub showRecords()
    Dim weekID As Integer
    Dim adjDate As Integer
    Dim adminStartWeek As Date
    Dim adminEndWeek As Date
    Dim rs As Recordset
    Dim rstemp As Recordset
    Dim tdfNew As TableDef

    
    Set tdfNew = CurrentDb.CreateTableDef("TblWeekly_Temp")
    With tdfNew
        .Fields.Append .CreateField("clientID", dbInteger)
        .Fields.Append .CreateField("fName", dbText)
        .Fields.Append .CreateField("lName", dbText)
        .Fields.Append .CreateField("clinicalID", dbInteger)
        .Fields.Append .CreateField("weekStart", dbDate)
        .Fields.Append .CreateField("weekEnd", dbDate)
    End With

    
    Set rs = CurrentDb.OpenRecordset("WeeklyProgClientsQuery")
    With rs
        .MoveFirst
        Do Until .EOF
            weekID = Weekday(rs![adminDate], vbMonday)
            If weekID > 1 Then
                adjDate = -1 * (weekID - 1)
                adminStartWeek = DateAdd("d", adjDate, rs![adminDate])
                adminEndWeek = DateAdd("d", 6, adminStartWeek)
            Else
                adminStartWeek = rs![adminDate]
                adminEndWeek = DateAdd("d", 6, adminStartWeek)
            End If
            
            If rs![dischargeDate] = "" Then
                dischargeDate = Date
            Else
                dischargeDate = rs![dischargeDate]
            End If
            
            Do While adminStartWeek < dischargeDate
                Set rstemp = CurrentDb.OpenRecordset("TblWeekly_Temp")
                    With rstemp
                        .AddNew
                        ![clientID] = rs![Clients_clientID]
                        ![fName] = rs![fName]
                        ![lName] = rs![lName]
                        ![clinicalID] = rs![clinicalID]
                        ![weekStart] = adminStartWeek
                        ![weekEnd] = adminEndWeek
                        .Update
                    End With
                rstemp.Close
                Set rstemp = Nothing
                adminStartWeek = DateAdd("d", 6, adminStartWeek)
            Loop
            .MoveNext
        Loop
    End With
End Sub

